org.apache.ignite.internal.processors.cache.persistence.checkpoint

## Class PartitionDestroyRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.checkpoint.PartitionDestroyRequest

    public class PartitionDestroyRequest
    extends Object

Partition destroy request.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `beginDestroy()` Initiates partition destroy.
`boolean` `cancel()` Cancels partition destroy request.
`int` `groupId()`
`void` `onDone(Throwable err)`
`int` `partitionId()`
`String` `toString()`
`void` `waitCompleted()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### cancel

    public boolean cancel()

Cancels partition destroy request.

Returns:
  `False` if this request needs to be waited for.

#### beginDestroy

    public boolean beginDestroy()

Initiates partition destroy.

Returns:
  `True` if destroy request should be executed, `false` otherwise.

#### onDone

    public void onDone(Throwable err)

#### waitCompleted

    public void waitCompleted()
                       throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

#### groupId

    public int groupId()

Returns:
  Group id.

#### partitionId

    public int partitionId()

Returns:
  Partition id.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022